package store

import "gorm.io/gorm"

type EthereumAccount struct {
	gorm.Model
	AccountID string `gorm:"unique" json:"account_id"`
	Label     string `json:"label"`
	Address   string `gorm:"unique" json:"address"`
	HDIndex   int    `gorm:"unique" json:"hd_index"`
	Spender   string `json:"spender"`
}

func (a *EthereumAccount) GetAccountID() string {
	return a.AccountID
}

func (a *EthereumAccount) GetHDIndex() int {
	return a.HDIndex
}

func (a *EthereumAccount) GetAddress() string {
	return a.Address
}

func (a *EthereumAccount) GetSpender() string {
	return a.Spender
}

func (a *EthereumAccount) GetLabel() string {
	return a.Label
}
